<?php
$ARR_GUUID = array(
    'gc_contracts'	=>
    array('contract_scheme'	=>	array(
              'uuid' => 'df0e1faf-0b23-4fbd-bcea-432eead9611b',
              'tag' => 'contract-scheme'),
          'contract_type'	=>	array(
              'uuid' => '84e05998-0b23-4fb9-970d-095a6a659e98',
              'tag' => 'contract-type'),
          'loi_contract'	=>	array(
              'uuid' => '019a81e1-0b23-4fb2-a9b2-791c89b035de',
              'tag' => 'loi-contract'),
          'billing_type'	=>	array(
              'uuid' => 'a77689c6-0b23-4fb8-b876-0480f37c1ca1',
              'tag' => 'billing-scheme'),
          'factory_reference_no'	=>	array(
              'uuid' => '6d08a424-0b23-4fbe-88d5-6da2053710cb',
              'tag' => 'factory-reference-number')),
    'teams' =>
    array('uuid' => '862a5078-0b23-4fbc-8b16-e9c164a795e9',
          'tag' => 'teams'),
    'gc_line_item_contract_history'	=>
    array('billing_start_date'	=>	array(
              'uuid' => '726aa3c8-0b23-4fb1-885e-934813d696b5',
              'tag' => 'billing-start-date',
              'timezone_field' => 'gc_timezone_id2_c'),
          'billing_end_date'		=>	array(
              'uuid' => '5461a7f7-0b23-4fb1-9eb7-14a56b0f6768',
              'tag' => 'billing-end-date',
              'timezone_field' => 'gc_timezone_id3_c'),
          'service_start_date'	=>	array(
              'uuid' => '1dc6af8b-0b23-4fb9-bc7a-9962c7397f5f',
              'tag' => 'service-start-date',
              'timezone_field' => 'gc_timezone_id_c'),
          'service_end_date'		=>	array(
              'uuid' => '8d958051-0b23-4fb6-839e-53d1f41e404c',
              'tag' => 'service-end-date',
              'timezone_field' => 'gc_timezone_id1_c'),
          'cust_contract_currency'	=>	array(
              'uuid' => 'ade4e0b4-0b23-4fb2-820b-e8f410d5446e',
              'tag' => 'customer-contract-currency'),
          'cust_billing_currency'	=>	array(
              'uuid' => '7782107f-0b23-4fb9-a5c4-ee0ef42ed9b0',
              'tag' => 'customer-billing-currency'),
          'igc_contract_currency'	=>	array(
              'uuid' => 'f98b765f-0b23-4fb7-8d61-7b88408685cc',
              'tag' => 'inter-group-company-contract-currency'),
          'igc_billing_currency'	=>	array(
              'uuid' => '520925e5-0b23-4fb2-b0fa-f5c71649a4d0',
              'tag' => 'inter-group-company-billing-currency'),
          'customer_billing_method'	=>	array(
              'uuid' => 'f1298da9-0b23-4fbd-b185-37b4c6888f08',
              'tag' => 'customer-billing-method'),
          'igc_settlement_method'	=>	array(
              'uuid' => 'a0942d8d-0b23-4fb5-88d6-d9ac869829d6',
              'tag' => 'inter-group-company-settlement-method'),
          'description'	=>	array(
              'uuid' => '4f9cc895-0b23-4fba-a0ba-0b924a56c5ff',
              'tag' => 'remarks'),
          'factory_reference_no'	=>	array(
              'uuid' => 'c31d4aa3-0b23-4fb0-a067-b8dd8f829f6d',
              'tag' => 'factory-reference-number')),
    'invoicesubtotalgroup'	=>
    array('name'	=>	array(
              'uuid' => 'f4446dad-0b23-4fb0-a8bf-98c04f5a0bef',
              'tag' => 'group-name'),
          'description'	=>	array(
              'uuid' => 'a7892b51-0b23-4fb8-8254-7765fb161d96',
              'tag' => 'group-description')),
    'gc_productprice'	=>
    array('currencyid' => array(
              'uuid' => 'c029b6d6-0b23-4fbe-b05b-c1a2dc1e0b13',
              'tag' => 'currency'),
          'icb_flag'	=>	array(
            'uuid' => '8ac2ce11-0b23-4fbd-8620-d66d9425e336',
            'tag' => 'is-icb-rate'),
          'charge_type'	=>	array(
              'uuid' => '66d86ddb-0b23-4fbf-a3a7-085cedd746aa',
              'tag' => 'charge-type'),
          'charge_period'	=>	array(
              'uuid' => '11c92da1-0b23-4fbd-bfff-17958b644b7d',
              'tag' => 'charge-period'),
          'list_price'	=>	array(
              'uuid' => '0b68c221-0b23-4fb8-a717-66dd7ea188dc',
              'tag' => 'list-price'),
          'discount_rate'	=>	array(
              'uuid' => '1bd5ac6d-0b23-4fb3-869d-0ae90c59e4c4',
              'tag' => 'discount-rate'),
          'discount_amount'	=>	array(
              'uuid' => 'c7d2f1fa-0b23-4fb7-bec9-e44e696b1460',
              'tag' => 'discount-amount'),
          'customer_contract_price'	=>	array(
              'uuid' => 'a16af70e-0b23-4fbf-b201-5677253b938e',
              'tag' => 'customer-contract-price'),
          'igc_settlement_price'	=>	array(
              'uuid' => 'eb600fb9-0b23-4fbd-85a0-69999ffefbfb',
              'tag' => 'inter-group-company-settlement-price')),
    'general' =>
    array('product_contract'   => '3c5e060f-0b23-4fb4-8298-f90c091ee12d',
          'product_biitem'   => '02bfaa5e-0b23-4fb2-812f-5533d96e9e16',
          'atomic_product_price'   => 'dd7e166e-0b23-4fb1-bc9a-2656be19f352')
);

// interaction staus and contract status mapping
$interaction_status = array(
    0 => 'being-created',
    1 => 'aborted',
    2 => 'in-progress',
    3 => 'completed'
);
$contract_interaction_status_mapping = array(
    0 => 0, // Draft
    1 => 0, // Approved
    2 => 3, // Deactivated
    3 => 0, // Sent for Approval
    4 => 2, // Activated
    5 => 2, // Sent for Termination Approval
    6 => 2, // Termination Approved
    7 => 3  // Upgraded
);

// biitem standard state, action and line item status mapping
$standard_state = array(
    0 => 'being-created',
    1 => 'aborted',
    2 => 'active',
    3 => 'inactive'
);
$lineitem_action_statdardstate_status_mapping = array(
    'New' => array(
        'add' => 0),
    'Change' => array(
        'change' => 0),
    'Termination' => array(
        'remove' => 3,
        'add' => 3,
        'no_change' => 3,
        'change' => 3),
    'Activated' => array(
        'no_change' => 2,
        'no_change2' => 0,
        'add' => 2,
        'change' => 2),
    'Service_Termination' => array(
        'remove' => 3,
        'remove2' => 0)
);
$boolean_array = array(0=>'false',1=>'true','yes'=>'true','no'=>'false');
$loi_contract_array = array('false'=>'No','true'=>'Yes');
